Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.config.internal
Class ServiceBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              org.eclipse.gemini.blueprint.config.internal.ServiceBeanDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  BlueprintServiceDefinitionParser

    public class ServiceBeanDefinitionParser

extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

BeanDefinitionParser for service element found in the osgi namespace.

Author:
  Costin Leau, Hal Hildebrand, Andy Piper

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`ServiceBeanDefinitionParser()`

Method Summary
`protected void` | `applyDefaults(org.springframework.beans.factory.xml.ParserContext parserContext, OsgiDefaultsDefinition defaults, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected Class` | `getBeanClass(Element element)`
`protected void` | `parseAttributes(Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, AttributeCallback[] callbacks, OsgiDefaultsDefinition defaults)`
`protected org.springframework.beans.factory.config.BeanDefinition` | `parseListener(org.springframework.beans.factory.xml.ParserContext context, Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected Map` | `parsePropertyMapElement(org.springframework.beans.factory.xml.ParserContext context, Element beanDef, org.springframework.beans.factory.config.BeanDefinition beanDefinition)`
`protected Set` | `parsePropertySetElement(org.springframework.beans.factory.xml.ParserContext context, Element beanDef, org.springframework.beans.factory.config.BeanDefinition beanDefinition)`
`protected Object` | `parsePropertySubElement(org.springframework.beans.factory.xml.ParserContext context, Element beanDef, org.springframework.beans.factory.config.BeanDefinition beanDefinition)`
`protected void` | `postProcessListenerDefinition(org.springframework.beans.factory.config.BeanDefinition wrapperDef)`
`protected OsgiDefaultsDefinition` | `resolveDefaults(Document document, org.springframework.beans.factory.xml.ParserContext parserContext)` Get OSGi defaults (in case they haven't been resolved).
`protected String` | `resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)`
`protected boolean` | `shouldGenerateIdAsFallback()`
`protected void` | `validateServiceReferences(Element element, String serviceId, org.springframework.beans.factory.xml.ParserContext parserContext)`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceBeanDefinitionParser

    public ServiceBeanDefinitionParser()

Method Detail

### getBeanClass

    protected Class getBeanClass(Element element)

  Overrides:
    `getBeanClass` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

### doParse

    protected void doParse(Element element,
                           org.springframework.beans.factory.xml.ParserContext parserContext,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

### applyDefaults

    protected void applyDefaults(org.springframework.beans.factory.xml.ParserContext parserContext,
                                 OsgiDefaultsDefinition defaults,
                                 org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

### parseAttributes

    protected void parseAttributes(Element element,
                                   org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                   AttributeCallback[] callbacks,
                                   OsgiDefaultsDefinition defaults)

### resolveDefaults

    protected OsgiDefaultsDefinition resolveDefaults(Document document,
                                                     org.springframework.beans.factory.xml.ParserContext parserContext)

  Get OSGi defaults (in case they haven't been resolved).

  Parameters:
    `document` -
  Returns:

### postProcessListenerDefinition

    protected void postProcessListenerDefinition(org.springframework.beans.factory.config.BeanDefinition wrapperDef)

### parseListener

    protected org.springframework.beans.factory.config.BeanDefinition parseListener(org.springframework.beans.factory.xml.ParserContext context,
                                                                                    Element element,
                                                                                    org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

### shouldGenerateIdAsFallback

    protected boolean shouldGenerateIdAsFallback()

  Overrides:
    `shouldGenerateIdAsFallback` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

### parsePropertySubElement

    protected Object parsePropertySubElement(org.springframework.beans.factory.xml.ParserContext context,
                                             Element beanDef,
                                             org.springframework.beans.factory.config.BeanDefinition beanDefinition)

### parsePropertySetElement

    protected Set parsePropertySetElement(org.springframework.beans.factory.xml.ParserContext context,
                                          Element beanDef,
                                          org.springframework.beans.factory.config.BeanDefinition beanDefinition)

### parsePropertyMapElement

    protected Map parsePropertyMapElement(org.springframework.beans.factory.xml.ParserContext context,
                                          Element beanDef,
                                          org.springframework.beans.factory.config.BeanDefinition beanDefinition)

### validateServiceReferences

    protected void validateServiceReferences(Element element,
                                             String serviceId,
                                             org.springframework.beans.factory.xml.ParserContext parserContext)

### resolveId

    protected String resolveId(Element element,
                               org.springframework.beans.factory.support.AbstractBeanDefinition definition,
                               org.springframework.beans.factory.xml.ParserContext parserContext)
                        throws org.springframework.beans.factory.BeanDefinitionStoreException

  Overrides:
    `resolveId` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`
  Throws:
    `org.springframework.beans.factory.BeanDefinitionStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.